## gnome-logs 3.30.0

=== meson_options.txt ===
option('tests', type : 'boolean', value : false, description : 'Enable support for tests run during make check')
option('man', type : 'boolean', value : false, description : 'Enable building the man page')

## gnome-logs 3.12.2

=== debian/changelog ===
gnome-logs (3.12.2-2) unstable; urgency=medium

  * Add CC0 license notice in debian/copyright for appdata xml file.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 May 2014 23:35:28 +0200

gnome-logs (3.12.2-1) unstable; urgency=medium

  * Add debian/watch.
  * New upstream release.
  * Update debian/copyright with CC-BY-SA (3.0) licensing info

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 May 2014 21:08:52 +0200

gnome-logs (3.12.1-1) unstable; urgency=low

  * Initial release

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 26 Apr 2014 13:08:25 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-logs
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>
Build-Depends: debhelper (>= 9.0.0), autotools-dev, libsystemd-journal-dev,
  libglib2.0-dev (>= 2.39.90),
  libgtk-3-dev (>= 3.9.6),
  gnome-pkg-tools,
  intltool (>= 0.50.0),
  yelp-tools,
  desktop-file-utils
Standards-Version: 3.9.5
Homepage: https://wiki.gnome.org/Apps/Logs
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-logs/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-logs/

Package: gnome-logs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gsettings-desktop-schemas
Description: viewer for the systemd journal.
 The GNOME Logs application is an application to view system logs
 (from the systemd journal) for the GNOME Desktop environment.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with autotools-dev

## gnome-logs 3.14.2

=== debian/changelog ===
gnome-logs (3.14.2-1) unstable; urgency=medium

  * New upstream release
    - fixes file generation (Closes: #770148)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 20 Nov 2014 00:50:34 +0100

gnome-logs (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/revert-appstream-usage.patch, appstream-glib is now in
    the archive
  * Update debian/copyright: gnome-logs.appdata.xml.in file has been renamed
    to org.gnome.Logs.appdata.xml.in
  * debian/control.in: Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Oct 2014 23:09:51 +0200

gnome-logs (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - bump gtk+ to >= 3.13.4
  * Add debian/patches/revert-appstream-usage.patch
    - we don't have appstream-glib in Debian yet... see #752900

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Sep 2014 20:05:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,19 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gnome-logs
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 9.0.0), autotools-dev, libsystemd-journal-dev,
   libglib2.0-dev (>= 2.39.90),
-  libgtk-3-dev (>= 3.9.6),
+  libgtk-3-dev (>= 3.13.4),
   gnome-pkg-tools,
   intltool (>= 0.50.0),
   yelp-tools,
   desktop-file-utils
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Apps/Logs
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-logs/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-logs/

## gnome-logs 3.16.1

=== debian/changelog ===
gnome-logs (3.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Wrap dependencies.
  * Update Build-Depends as per configure.ac:
    - Add appstream-util.
    - Bump libglib2.0-dev to (>= 2.43.90).
    - Bump libgtk-3-dev to (>= 3.15.7).
  * Build against libsystemd. (Closes: #779768).
  * Use dh-autoreconf to update the build system.
  * Add Build-Depends on gnome-common, required by autoreconf.
  * Fix debian/copyright to be compliant with the machine-readable copyright
    format spec 1.0.

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Jun 2015 20:30:34 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-logs
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               dh-autoreconf,
               gnome-common,
               libsystemd-dev,
               libglib2.0-dev (>= 2.43.90),
               libgtk-3-dev (>= 3.15.7),
               gnome-pkg-tools,
               intltool (>= 0.50.0),
               appstream-util,
               yelp-tools,
               desktop-file-utils
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Apps/Logs
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-logs/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-logs/

Package: gnome-logs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gsettings-desktop-schemas
Description: viewer for the systemd journal.
 The GNOME Logs application is an application to view system logs
 (from the systemd journal) for the GNOME Desktop environment.

## gnome-logs 3.16.2

=== debian/changelog ===
gnome-logs (3.16.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Jun 2015 23:18:05 +0200

## gnome-logs 3.18.1

=== debian/changelog ===
gnome-logs (3.18.1-1ubuntu1) xenial; urgency=medium

  * Cherry-pick git fixes for the appdata file 

 -- Tim Lunn <tim@feathertop.org>  Fri, 18 Mar 2016 14:59:43 +1100

gnome-logs (3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Oct 2015 17:43:01 +0200

gnome-logs (3.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/0001-Update-configure.ac-to-check-for-libsystemd.patch
    - now in upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 02 Oct 2015 23:30:03 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Apps/Logs
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-logs/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-logs/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-logs/
 
 Package: gnome-logs
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@  --with autotools-dev
+	dh $@  --with autoreconf

=== debian/watch ===
version=3
http://download.gnome.org/sources/gnome-logs/([\d\.]+[02468])/gnome-logs-(.*)\.tar\.xz

## gnome-logs 3.20.1

=== debian/changelog ===
gnome-logs (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Apr 2016 18:06:46 +0200

gnome-logs (3.19.92-1) experimental; urgency=medium

  * New upstream release.
  * Bump libgtk-3-dev to (>= 3.19.3) according to configure.ac changes.
  * Bump Standards-Version to 3.9.7.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Mar 2016 20:53:39 +0100

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                gnome-common,
                libsystemd-dev,
                libglib2.0-dev (>= 2.43.90),
-               libgtk-3-dev (>= 3.15.7),
+               libgtk-3-dev (>= 3.19.3),
                gnome-pkg-tools,
                intltool (>= 0.50.0),
                appstream-util,
                yelp-tools,
                desktop-file-utils
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://wiki.gnome.org/Apps/Logs
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-logs/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-logs/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with autoreconf,gnome

## gnome-logs 3.21.90

=== debian/changelog ===
gnome-logs (3.21.90-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream beta release
  * Bump dh compat to 10
  * Update Vcs fields
  * Enable all hardening flags
  * Build with --as-needed

  [ Michael Biebl ]
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Aug 2016 22:22:11 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-logs
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: appstream-util,
               debhelper (>= 9.20160403~),
               desktop-file-utils,
               gnome-common,
               gnome-pkg-tools,
               intltool (>= 0.50.0),
               libglib2.0-dev (>= 2.43.90),
               libgtk-3-dev (>= 3.19.3),
               libsystemd-dev,
               yelp-tools
Standards-Version: 3.9.8
Homepage: https://wiki.gnome.org/Apps/Logs
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-logs/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-logs/

Package: gnome-logs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gsettings-desktop-schemas
Description: viewer for the systemd journal.
 The GNOME Logs application is an application to view system logs
 (from the systemd journal) for the GNOME Desktop environment.

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+
 %:
-	dh $@  --with autoreconf,gnome
+	dh $@ --parallel --with autoreconf,gnome
+
+override_dh_autoreconf:
+	dh_autoreconf --as-needed

## gnome-logs 3.21.92

=== debian/changelog ===
gnome-logs (3.21.92-1) unstable; urgency=medium

  * New upstream release
    - includes fix for unreadable journal crash (Closes: #802334)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 13 Sep 2016 14:06:50 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
-               debhelper (>= 9.20160403~),
+               debhelper (>= 10),
                desktop-file-utils,
                gnome-common,
                gnome-pkg-tools,

## gnome-logs 3.22.0

=== debian/changelog ===
gnome-logs (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Sep 2016 09:43:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
                debhelper (>= 10),
                desktop-file-utils,

## gnome-logs 3.22.1

=== debian/changelog ===
gnome-logs (3.22.1-2) unstable; urgency=medium

  * debian/patches/01-no-boot-ids.patch:
    + Don't crash when the user has no access to system or user logs, e.g.
      due to no persistent logging. Closes: #852756.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 05 Feb 2017 20:57:42 +0100

gnome-logs (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 10 Oct 2016 17:42:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
                debhelper (>= 10),
                desktop-file-utils,

## gnome-logs 3.23.90

=== debian/changelog ===
gnome-logs (3.23.90-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2017 20:34:30 -0500

## gnome-logs 3.23.91

=== debian/changelog ===
gnome-logs (3.23.91-0ubuntu1) zesty; urgency=medium

  * New upstream translation release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2017 00:03:36 -0500

## gnome-logs 3.24.0

=== debian/changelog ===
gnome-logs (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Mar 2017 21:51:12 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-logs
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
                debhelper (>= 10),
                desktop-file-utils,

## gnome-logs 3.24.1

=== debian/changelog ===
gnome-logs (3.24.1-0ubuntu1) zesty; urgency=medium

  * New upstrean translations release (LP: #1681444)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 10 Apr 2017 09:33:08 -0400

## gnome-logs 3.24.2

=== debian/changelog ===
gnome-logs (3.24.2-0ubuntu1) artful; urgency=medium

  * New upstream release
    - Significantly improves scrolling performance (LP: #1707554)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 30 Jul 2017 23:23:30 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
                debhelper (>= 10),
                desktop-file-utils,

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 %:
-	dh $@ --parallel --with autoreconf,gnome
+	dh $@ --with gnome
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed

## gnome-logs 3.25.90

=== debian/changelog ===
gnome-logs (3.25.90-0ubuntu1) artful; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump minimum libgtk-3-dev to 3.22.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 08 Aug 2017 13:04:25 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
                debhelper (>= 10),
                desktop-file-utils,
@@ -15,7 +15,7 @@
                gnome-pkg-tools,
                intltool (>= 0.50.0),
                libglib2.0-dev (>= 2.43.90),
-               libgtk-3-dev (>= 3.19.3),
+               libgtk-3-dev (>= 3.22.0),
                libsystemd-dev,
                yelp-tools
 Standards-Version: 3.9.8

## gnome-logs 3.26.0

=== debian/changelog ===
gnome-logs (3.26.0-1) unstable; urgency=medium

  * New upstream translations release
  * Set Architecture: linux-any since systemd is Linux-only

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Sep 2017 15:35:59 -0400

gnome-logs (3.25.91-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.0
  * debian/control.in:
    - Bump minimum libgtk-3-dev to 3.22.0
  * Drop 01-no-boot-ids.patch:
    - Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 31 Aug 2017 19:23:36 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-logs
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
                debhelper (>= 10),
                desktop-file-utils,
@@ -18,13 +17,13 @@
                libgtk-3-dev (>= 3.22.0),
                libsystemd-dev,
                yelp-tools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://wiki.gnome.org/Apps/Logs
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-logs/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-logs/
 
 Package: gnome-logs
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gsettings-desktop-schemas

## gnome-logs 3.28.0

=== debian/changelog ===
gnome-logs (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 14 Mar 2018 19:43:24 -0400

gnome-logs (3.27.90-1) experimental; urgency=medium

  * New upstream development release
  * Drop obsolete Build-Depends on intltool

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 10 Feb 2018 23:13:56 -0500

gnome-logs (3.26.3-1) unstable; urgency=medium

  * New upstream release (LP: #1738697)
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 02 Feb 2018 07:49:35 -0500

gnome-logs (3.26.2-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Dec 2017 21:26:20 -0500

gnome-logs (3.26.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.1

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Nov 2017 16:38:06 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-logs
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: appstream-util,
               debhelper (>= 11),
               desktop-file-utils,
               gnome-common,
               gnome-pkg-tools,
               libglib2.0-dev (>= 2.43.90),
               libgtk-3-dev (>= 3.22.0),
               libsystemd-dev,
               yelp-tools
Standards-Version: 4.1.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-logs
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-logs.git
Homepage: https://wiki.gnome.org/Apps/Logs

Package: gnome-logs
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gsettings-desktop-schemas
Description: viewer for the systemd journal.
 The GNOME Logs application is an application to view system logs
 (from the systemd journal) for the GNOME Desktop environment.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

## gnome-logs 3.28.0-1linuxmint1

=== debian/changelog ===
gnome-logs (3.28.0-1linuxmint1) tara; urgency=medium

  * Make the application fit in 1024x768px

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 14 May 2018 15:38:55 +0100

## gnome-logs 3.30.0

=== debian/changelog ===
gnome-logs (3.30.0-2) unstable; urgency=medium

  * Drop obsolete Build-Depends on gnome-common (Closes: #829772)
  * Build-Depend on libxml2-utils for xmllint
  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 13:19:15 -0500

gnome-logs (3.30.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 07 Sep 2018 23:45:58 +0200

gnome-logs (3.29.4-1) unstable; urgency=medium

  * New upstream version
  * debian/control.in, debian/rules:
    - build with meson
    - set Rules-Requires-Root: no
    - update Standards-Version to 4.1.5

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 30 Aug 2018 11:06:01 +0200

gnome-logs (3.28.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 13 May 2018 16:06:43 -0400

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,14 @@
 Build-Depends: appstream-util,
                debhelper (>= 11),
                desktop-file-utils,
-               gnome-common,
                gnome-pkg-tools,
                libglib2.0-dev (>= 2.43.90),
                libgtk-3-dev (>= 3.22.0),
                libsystemd-dev,
-               yelp-tools
-Standards-Version: 4.1.2
+               libxml2-utils,
+               meson,
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-logs
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-logs.git
 Homepage: https://wiki.gnome.org/Apps/Logs
@@ -26,6 +27,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gsettings-desktop-schemas
-Description: viewer for the systemd journal.
+Description: viewer for the systemd journal
  The GNOME Logs application is an application to view system logs
  (from the systemd journal) for the GNOME Desktop environment.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome --buildsystem=meson

## gnome-logs 3.30.0mint1+debbie

=== debian/changelog ===
gnome-logs (3.30.0mint1+debbie) debbie; urgency=medium

  * Make the application fit in 800x600px

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Jan 2020 15:10:46 +0000

## gnome-logs 3.32.1

=== debian/changelog ===
gnome-logs (3.32.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Apr 2019 13:41:42 +0200

gnome-logs (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Mar 2019 19:31:41 -0400

gnome-logs (3.31.4-1) experimental; urgency=medium

  * New upstream development release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome
  * Drop unused appstream Build-Depends
  * Enable tests and manpage

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 07 Feb 2019 07:54:39 -0500

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,17 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: appstream-util,
-               debhelper (>= 11),
-               desktop-file-utils,
-               gnome-pkg-tools,
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               desktop-file-utils <!nocheck>,
+               dh-sequence-gnome,
+               docbook-xsl,
                libglib2.0-dev (>= 2.43.90),
                libgtk-3-dev (>= 3.22.0),
                libsystemd-dev,
                libxml2-utils,
                meson,
+               xsltproc
 Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-logs

## gnome-logs 3.34.0

=== debian/changelog ===
gnome-logs (3.34.0-1ubuntu1) focal; urgency=medium

  * debian/patches/git_log_permissions.patch:
    - Improve the check for reading system journal, fixes the misleading
      warning displayed as a banner (lp: #1879741)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 21 May 2020 15:29:07 +0200

gnome-logs (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Avoid-a-segfault-when-updating-the-boot-menu.patch:
    - remove, it's included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2019 09:57:50 +0200

gnome-logs (3.33.2-1) experimental; urgency=medium

  * debian/watch: Find unstable versions
  * New upstream release
    + removing tests option in meson build system
    + Fixed abnormal headerbar height
    + Dropped autotools support from Jeremy Bicha
    + Fixed manpage check and version number in meson
  * Avoid-a-segfault-when-updating-the-boot-menu.patch: Cherry pick. Avoid a
    crash.
  * BD on itstool - needed during the build

 -- Iain Lane <laney@debian.org>  Wed, 21 Aug 2019 11:13:22 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Dman=true -Dtests=true

## gnome-logs 3.34.0-linuxmint2+ulyana

=== debian/changelog ===
gnome-logs (3.34.0-linuxmint2+ulyana) ulyssa; urgency=medium

  * Make the application fit in 800x600px

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Dec 2020 11:39:57 +0000

## gnome-logs 3.36.0

=== debian/changelog ===
gnome-logs (3.36.0-2) unstable; urgency=medium

  * debian/patches/git_log_permissions.patch:
    - Improve the check for reading system journal, fixes the misleading
      warning displayed as a banner (lp: #1879741)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 21 May 2020 15:26:10 +0200

gnome-logs (3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 21 May 2020 11:36:37 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
@@ -16,6 +16,7 @@
                libsystemd-dev,
                libxml2-utils,
                meson,
+               itstool,
                xsltproc
 Rules-Requires-Root: no
 Standards-Version: 4.3.0

## gnome-logs 3.36.0+mint1+elsie

=== debian/changelog ===
gnome-logs (3.36.0+mint1+elsie) elsie; urgency=medium

  * Make the application fit in 800x600px

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Jan 2022 13:28:17 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 12),
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,

## gnome-logs 42.0

=== debian/changelog ===
gnome-logs (42.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 16:31:48 -0400

gnome-logs (3.36.0-4) unstable; urgency=medium

  * Cherry-pick patches to use libhandy & support GNOME 42 dark theme
  * debian/control.in: Build-Depend on libhandy

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 16 Feb 2022 15:36:59 -0500

gnome-logs (3.36.0-3) unstable; urgency=medium

  * debian/rules: Drop obsolete meson build option (Closes: #998607)
  * debian/rules: Drop unneeded -Wl,--as-needed
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Nov 2021 18:23:51 -0500

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
                docbook-xsl,
                libglib2.0-dev (>= 2.43.90),
                libgtk-3-dev (>= 3.22.0),
+               libhandy-1-dev (>= 1.5.90),
                libsystemd-dev,
                libxml2-utils,
                meson,

## gnome-logs 42.0%2Bmint1%2Bfaye

=== debian/changelog ===
gnome-logs (42.0+mint1+faye) faye; urgency=medium

  * Backport version 42 (GTK3)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 20 Sep 2023 11:09:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,

## gnome-logs 43.0

=== debian/changelog ===
gnome-logs (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 25 Sep 2022 17:07:28 -0400

gnome-logs (43~beta-1) unstable; urgency=medium

  * New upstream release
  * Build with gtk4 and libadwaita
  * debian/control.in: Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 08 Aug 2022 15:50:56 -0400

=== debian/control ===
--- 
+++ 
@@ -12,15 +12,15 @@
                dh-sequence-gnome,
                docbook-xsl,
                libglib2.0-dev (>= 2.43.90),
-               libgtk-3-dev (>= 3.22.0),
-               libhandy-1-dev (>= 1.5.90),
+               libgtk-4-dev,
+               libadwaita-1-dev (>= 1.0.0),
                libsystemd-dev,
                libxml2-utils,
                meson,
                itstool,
                xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-logs
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-logs.git
 Homepage: https://wiki.gnome.org/Apps/Logs

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dman=true

## gnome-logs 45~beta

=== debian/changelog ===
gnome-logs (45~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libadwaita to 1.4~beta
  * debian/control.in: Drop obsolete nocheck from desktop-files-utils dependency
  * debian/control.in: Build-Depend on docbook-xml
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 09 Aug 2023 10:47:55 -0400

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,22 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               desktop-file-utils <!nocheck>,
+               desktop-file-utils,
                dh-sequence-gnome,
+               docbook-xml,
                docbook-xsl,
                libglib2.0-dev (>= 2.43.90),
                libgtk-4-dev,
-               libadwaita-1-dev (>= 1.0.0),
+               libadwaita-1-dev (>= 1.4~beta),
                libsystemd-dev,
                libxml2-utils,
                meson,
                itstool,
                xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-logs
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-logs.git
 Homepage: https://wiki.gnome.org/Apps/Logs

## gnome-logs 45.0

=== debian/changelog ===
gnome-logs (45.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:08:16 +0000

gnome-logs (45.0-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Mar 2024 12:00:00 -0400

gnome-logs (45~beta-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Aug 2023 18:48:48 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,9 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-logs
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,
@@ -24,7 +21,7 @@
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-logs
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-logs.git
-Homepage: https://wiki.gnome.org/Apps/Logs
+Homepage: https://apps.gnome.org/Logs/
 
 Package: gnome-logs
 Architecture: linux-any

## gnome-logs 49~rc

=== debian/changelog ===
gnome-logs (49~rc-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 21:51:17 -0400

## gnome-logs 49.0

=== meson_options.txt ===
option('man', type : 'boolean', value : false, description : 'Enable building the man page')

=== debian/changelog ===
gnome-logs (49.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Sep 2025 21:44:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-logs
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
@@ -17,8 +16,7 @@
                meson,
                itstool,
                xsltproc
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-logs
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-logs.git
 Homepage: https://apps.gnome.org/Logs/

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,5 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -Dman=true
+
+override_dh_gnome_clean:
